# CbcOsiParam Class Reference

Class for control parameters that act on a OsiSolverInterface object. More...

`#include <CbcGenOsiParam.hpp>`

Inheritance diagram for CbcOsiParam:
[legend]
Collaboration diagram for CbcOsiParam:
[legend]

List of all members.

## Public Types
Subtypes
enum | CbcOsiParamCode { CBCOSI_FIRSTPARAM = CbcCbcParam::CBCCBC_LASTPARAM + 1, ALGORITHM, ALLSLACK, AUTOSCALE, BARRIER, BARRIERSCALE, BASISIN, BASISOUT, BIASLU, CHOLESKY, CRASH, CROSSOVER, DUALBOUND, DUALPIVOT, DUALSIMPLEX, DUALTOLERANCE, FAKEBOUND, GAMMA, IDIOT, KEEPNAMES, KKT, MAXITERATION, MAXHOTITS, NETLIB_BARRIER, NETLIB_DUAL, NETLIB_PRIMAL, NETWORK, OBJSCALE, PERTURBATION, PERTVALUE, PFI, PLUSMINUS, PRESOLVE, PRESOLVEOPTIONS, PRESOLVEPASS, PRIMALPIVOT, PRIMALSIMPLEX, PRIMALTOLERANCE, REALLY_SCALE, RESTORE, REVERSE, RHSSCALE, SAVE, SCALING, SLPVALUE, SOLVERLOGLEVEL, SPARSEFACTOR, SPECIALOPTIONS, SPRINT, TIGHTEN, CBCOSI_LASTPARAM }
| Enumeration for parameters that control an OsiSolverInterface object. More...
## Public Member Functions
Constructors and Destructors
Be careful how you specify parameters for the constructors! There's great potential for confusion.
| CbcOsiParam ()
| Default constructor.
| CbcOsiParam (CbcOsiParamCode code, std::string name, std::string help, double lower, double upper, double dflt=0.0, bool display=true)
| Constructor for a parameter with a double value.
| CbcOsiParam (CbcOsiParamCode code, std::string name, std::string help, int lower, int upper, int dflt=0, bool display=true)
| Constructor for a parameter with an integer value.
| CbcOsiParam (CbcOsiParamCode code, std::string name, std::string help, std::string firstValue, int dflt, bool display=true)
| Constructor for a parameter with keyword values.
| CbcOsiParam (CbcOsiParamCode code, std::string name, std::string help, std::string dflt, bool display=true)
| Constructor for a string parameter.
| CbcOsiParam (CbcOsiParamCode code, std::string name, std::string help, bool display=true)
| Constructor for an action parameter.
| CbcOsiParam (const CbcOsiParam &orig)
| Copy constructor.
CbcOsiParam * | clone ()
| Clone.
CbcOsiParam & | operator= (const CbcOsiParam &rhs)
| Assignment.
| ~CbcOsiParam ()
| Destructor.
Methods to query and manipulate a parameter object
CbcOsiParamCode | paramCode () const
| Get the parameter code.
void | setParamCode (CbcOsiParamCode code)
| Set the parameter code.
OsiSolverInterface * | obj () const
| Get the underlying OsiSolverInterface object.
void | setObj (OsiSolverInterface *obj)
| Set the underlying OsiSolverInterace object.
## Private Attributes
Data
CbcOsiParamCode | paramCode_
| Parameter code.
OsiSolverInterface * | obj_
| OsiSolverInterface object.

## Detailed Description

Class for control parameters that act on a OsiSolverInterface object.

Adds parameter type codes and push/pull functions to the generic parameter object.

Definition at line 31 of file CbcGenOsiParam.hpp.

## Member Enumeration Documentation

enum CbcOsiParam::CbcOsiParamCode

Enumeration for parameters that control an OsiSolverInterface object.

These are parameters that control the operation of an OsiSolverInterface object. CBCOSI_FIRSTPARAM and CBCOSI_LASTPARAM are markers to allow convenient separation of parameter groups.

Enumerator:

  CBCOSI_FIRSTPARAM |
  ALGORITHM |
  ALLSLACK |
  AUTOSCALE |
  BARRIER |
  BARRIERSCALE |
  BASISIN |
  BASISOUT |
  BIASLU |
  CHOLESKY |
  CRASH |
  CROSSOVER |
  DUALBOUND |
  DUALPIVOT |
  DUALSIMPLEX |
  DUALTOLERANCE |
  FAKEBOUND |
  GAMMA |
  IDIOT |
  KEEPNAMES |
  KKT |
  MAXITERATION |
  MAXHOTITS |
  NETLIB_BARRIER |
  NETLIB_DUAL |
  NETLIB_PRIMAL |
  NETWORK |
  OBJSCALE |
  PERTURBATION |
  PERTVALUE |
  PFI |
  PLUSMINUS |
  PRESOLVE |
  PRESOLVEOPTIONS |
  PRESOLVEPASS |
  PRIMALPIVOT |
  PRIMALSIMPLEX |
  PRIMALTOLERANCE |
  REALLY_SCALE |
  RESTORE |
  REVERSE |
  RHSSCALE |
  SAVE |
  SCALING |
  SLPVALUE |
  SOLVERLOGLEVEL |
  SPARSEFACTOR |
  SPECIALOPTIONS |
  SPRINT |
  TIGHTEN |
  CBCOSI_LASTPARAM |

Definition at line 46 of file CbcGenOsiParam.hpp.

## Constructor & Destructor Documentation

CbcOsiParam::CbcOsiParam | ( |  | ) |

Default constructor.

CbcOsiParam::CbcOsiParam | ( | CbcOsiParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | double | lower,
|  | double | upper,
|  | double | dflt = `0.0`,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a parameter with a double value.

The default value is 0.0. Be careful to clearly indicate that `lower` and `upper` are real (double) values to distinguish this constructor from the constructor for an integer parameter.

CbcOsiParam::CbcOsiParam | ( | CbcOsiParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | int | lower,
|  | int | upper,
|  | int | dflt = `0`,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a parameter with an integer value.

The default value is 0.

CbcOsiParam::CbcOsiParam | ( | CbcOsiParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | std::string | firstValue,
|  | int | dflt,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a parameter with keyword values.

The string supplied as `firstValue` becomes the first keyword. Additional keywords can be added using appendKwd(). Keywords are numbered from zero. It's necessary to specify both the first keyword (`firstValue`) and the default keyword index (`dflt`) in order to distinguish this constructor from the string and action parameter constructors.

CbcOsiParam::CbcOsiParam | ( | CbcOsiParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | std::string | dflt,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a string parameter.

The default string value must be specified explicitly to distinguish a string constructor from an action parameter constructor.

CbcOsiParam::CbcOsiParam | ( | CbcOsiParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | bool | display = `true` |
| ) |  |  |

Constructor for an action parameter.

CbcOsiParam::CbcOsiParam | ( | const CbcOsiParam & | orig | ) |

Copy constructor.

CbcOsiParam::~CbcOsiParam | ( |  | ) |

Destructor.

## Member Function Documentation

CbcOsiParam* CbcOsiParam::clone | ( |  | ) | `[virtual]`

Clone.

Reimplemented from CoinParam.

CbcOsiParam& CbcOsiParam::operator= | ( | const CbcOsiParam & | rhs | ) |

Assignment.

Reimplemented from CoinParam.

CbcOsiParamCode CbcOsiParam::paramCode | ( |  | ) | const`[inline]`

Get the parameter code.

Definition at line 141 of file CbcGenOsiParam.hpp.

void CbcOsiParam::setParamCode | ( | CbcOsiParamCode | code | ) | `[inline]`

Set the parameter code.

Definition at line 147 of file CbcGenOsiParam.hpp.

OsiSolverInterface* CbcOsiParam::obj | ( |  | ) | const`[inline]`

Get the underlying OsiSolverInterface object.

Definition at line 153 of file CbcGenOsiParam.hpp.

void CbcOsiParam::setObj | ( | OsiSolverInterface * | obj | ) | `[inline]`

Set the underlying OsiSolverInterace object.

Definition at line 159 of file CbcGenOsiParam.hpp.

## Member Data Documentation

CbcOsiParamCode CbcOsiParam::paramCode_`[private]`

Parameter code.

Definition at line 172 of file CbcGenOsiParam.hpp.

OsiSolverInterface* CbcOsiParam::obj_`[private]`

OsiSolverInterface object.

Definition at line 175 of file CbcGenOsiParam.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/src/CbcGenOsiParam.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines